Bug 376631 - usability: no overall progress indicator for migrating extents from one volume to another
usability: no overall progress indicator for migrating extents from one volum...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 17:49 EST by Máirín Duffy
Modified: 2009-01-09 00:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:09:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-11-11 17:49:58 EST
Description of problem:

Hi - the system-config-lvm tool is great and has made it quite easy for me to
manage my hard drives...

That being said, I just bought a new 500 gb drive that I would like to use as a
replacement for my home volume. I decided to migrate extents from the old hard
drive to this new one and it's sitting there with an animation but no indication
of how long the total process will take or what % done is it so I'm sitting here
biting my nails a bit, somewhat worried.

Here is some context - my machine has two drives:

- 320GB, used to be the only drive in the machine, 1 partition covering the
whole drive, 1 volume group:
-- swap volume
-- root volume (mounted to /)
-- home volume (mounted to /home)
- 500GB, just purchased, 1 partition covering the whole drive
-- no volumes, added to the volum group the 320GB drive is in.

What I would like:

- 320GB, 1 partition covering the whole drive:
-- swap volume
-- root volume
- 500GB, 1 partition covering the whole drive:
-- home volume

The steps I took:
- initialized the 500GB drive
- added 500GB drive to the 320GB drive's logical volume group
- went to my hoe volume (current on the 320gb drive) and clicked 'Migrate
Selected Extent(s) from Volume', and indicated in the dialog that I wanted the
'extents' migrated to my 500GB drive

Now it's sitting there with a little
"Migrating Extents" dialog with a little progress thingy bouncing back and
forth, but there is no message indicating how long this operation might take
total, and how far along it is in the process.

After half an hour I gave up.... stracing pvmove indicated that it was looking
for /proc/lvm which did not exist on my system so I figured that it just failed.

======

So in bullet-point fashion the bugs I see are:

* The "Migrating Extents" dialog has a little progress thingy bouncing back and
forth, but there is no message indicating how long this operation might take in
total (a guesstimate based on the size of the volume involved would be fine!)

* The "Migrating Extents" dialog has no indicated of how far along it is in the
process. (a % done in terms of how much data has been moved would be great)

* There is no cancel button on the "Migrating Extents" dialog

* If the operation fails, eg if /proc/lvm isn't found, the dialog should
indicate there is an error rather than continuing to give the impression that
something is happening.
Comment 1 Alasdair Kergon 2007-11-11 18:18:18 EST
Addressing minor points:

/proc/lvm is irrelevant to the operation

running 'pvmove -i30' on the command line would show you the progress of the
ongoing operation every 30 seconds - just kill it (e.g. press control-c) when
you want to stop seeing the progress
Comment 2 Máirín Duffy 2007-11-11 18:21:05 EST
ooh okay, so if I try again in system-config-lvm and run pvmove -i30 in a
terminal i'll be able to see what's going on?
Comment 3 Alasdair Kergon 2007-11-11 18:29:07 EST
Yes, and if it's not actually running for any reason, that command will just
exit immediately.
Comment 4 Bug Zapper 2008-11-26 03:19:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:09:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.